#pragma once

#include "gui.h"
#include "framebuffer.h"
#include "ppc.h"
#include "tmesh.h"

class Scene {
public:
  PPC *ppc, toVis;
  TMesh *tms;
  int tmsN;
  GUI *gui;
  FrameBuffer *fb;
  Scene();
  void DBG();
  void Render();
  void FrameSetup();
  void SaveView0();
  void LoadView0();
  void GoToView0();
  void SaveView1();
  void LoadView1();
  void GoToView1();
  void GoToView(PPC *nppc);
};

extern Scene *scene;
